Package org.eclipse.graphiti.pattern.mapping

# Class StructureMapping

java.lang.Object
org.eclipse.graphiti.pattern.mapping.MappingProviderProvider
org.eclipse.graphiti.pattern.mapping.StructureMapping

All Implemented Interfaces:
  `IStructureMapping`

Direct Known Subclasses:
  `StructureMappingMulti`, `StructureMappingSingle`

public abstract class StructureMapping extends MappingProviderProvider implements IStructureMapping
The Class StructureMapping.

## Constructor Summary

Constructors
Constructor
Description
`StructureMapping(IDataMapping dataMapping, IMappingProvider mappingProvider)`
Creates a new `StructureMapping`.

## Method Summary

Modifier and Type
Method
Description
`IDataMapping`
`getDataMapping()`
Gets the data mapping.

### Methods inherited from class org.eclipse.graphiti.pattern.mapping.MappingProviderProvider

`getMappingProvider`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructureMapping

public StructureMapping(IDataMapping dataMapping, IMappingProvider mappingProvider)
Creates a new `StructureMapping`.

Parameters:
  `dataMapping` - the data mapping
  `mappingProvider` - the mapping provider

## Method Details

### getDataMapping

public IDataMapping getDataMapping()
Description copied from interface: `IStructureMapping`
Gets the data mapping.

Specified by:
  `getDataMapping` in interface `IStructureMapping`
Returns:
  the data mapping